Show / Hide Table of Contents

# Struct MJIAnimal

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.MJI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MJIAnimal

### Fields

| Improve this Doc View Source

#### AnimalType

##### Declaration

    public byte AnimalType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BNPCNameId

##### Declaration

    public uint BNPCNameId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FoodLevel

##### Declaration

    public byte FoodLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Leavings

##### Declaration

    public ushort Leavings

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Mood

##### Declaration

    public byte Mood

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 52

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SlotId

##### Declaration

    public byte SlotId

##### Field Value

Type | Description
--- | ---
System.Byte |